Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.ws.rs
Annotation Type PathParam

    @Target(value={PARAMETER,METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface PathParam

Binds the value of a URI template parameter or a path segment containing the template parameter to a resource method parameter, resource class field, or resource class bean property. The value is URL decoded unless this is disabled using the `Encoded` annotation. A default value can be specified using the `DefaultValue` annotation. The type of the annotated parameter, field or property must either:

- Be `PathSegment`, the value will be the final segment of the matching part of the path. See `UriInfo` for a means of retrieving all request path segments.
- Be `List<``PathSegment``>`, the value will be a list of `PathSegment` corresponding to the path segment(s) that matched the named template parameter. See `UriInfo` for a means of retrieving all request path segments.
- Be a primitive type.
- Have a constructor that accepts a single String argument.
- Have a static method named `valueOf` that accepts a single String argument (see, for example, `Integer.valueOf(String)`).

The injected value corresponds to the latest use (in terms of scope) of the path parameter. E.g. if a class and a sub-resource method are both annotated with a `Path` containing the same URI template parameter, use of `PathParam` on a subresource method parameter will bind the value matching URI template parameter in the method's `Path` annotation.

Because injection occurs at object creation time, use of this annotation on resource class fields and bean properties is only supported for the default per-request resource class lifecycle. Resource classes using other lifecycles should only use this annotation on resource method parameters.

See Also:
  `Encoded`, `DefaultValue`, `PathSegment`, `UriInfo`

Required Element Summary
`java.lang.String` | `value` Defines the name of the URI template parameter whose value will be used to initialize the value of the annotated method parameter, class field or property.

Element Detail

### value

    public abstract java.lang.String value

  Defines the name of the URI template parameter whose value will be used to initialize the value of the annotated method parameter, class field or property. See `Path.value()` for a description of the syntax of template parameters.

  E.g. a class annotated with: `@Path("widgets/{id}")` can have methods annotated whose arguments are annotated with `@PathParam("id")`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.